/*
 * Copyright (C) 2008,2009 Sebastian Pölsterl
 *
 * This file is part of GNOME DVB Daemon.
 *
 * GNOME DVB Daemon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GNOME DVB Daemon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNOME DVB Daemon.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __SRC_SATELLITE_SATELLITECHANNEL_H__
#define __SRC_SATELLITE_SATELLITECHANNEL_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include "src/Channel.h"

G_BEGIN_DECLS


#define DVB_TYPE_SATELLITE_CHANNEL (dvb_satellite_channel_get_type ())
#define DVB_SATELLITE_CHANNEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DVB_TYPE_SATELLITE_CHANNEL, DVBSatelliteChannel))
#define DVB_SATELLITE_CHANNEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DVB_TYPE_SATELLITE_CHANNEL, DVBSatelliteChannelClass))
#define DVB_IS_SATELLITE_CHANNEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DVB_TYPE_SATELLITE_CHANNEL))
#define DVB_IS_SATELLITE_CHANNEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DVB_TYPE_SATELLITE_CHANNEL))
#define DVB_SATELLITE_CHANNEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DVB_TYPE_SATELLITE_CHANNEL, DVBSatelliteChannelClass))

typedef struct _DVBSatelliteChannel DVBSatelliteChannel;
typedef struct _DVBSatelliteChannelClass DVBSatelliteChannelClass;
typedef struct _DVBSatelliteChannelPrivate DVBSatelliteChannelPrivate;

struct _DVBSatelliteChannel {
	DVBChannel parent_instance;
	DVBSatelliteChannelPrivate * priv;
};

struct _DVBSatelliteChannelClass {
	DVBChannelClass parent_class;
};


DVBSatelliteChannel* dvb_satellite_channel_construct (GType object_type);
DVBSatelliteChannel* dvb_satellite_channel_new (void);
const char* dvb_satellite_channel_get_Polarization (DVBSatelliteChannel* self);
void dvb_satellite_channel_set_Polarization (DVBSatelliteChannel* self, const char* value);
guint dvb_satellite_channel_get_SymbolRate (DVBSatelliteChannel* self);
void dvb_satellite_channel_set_SymbolRate (DVBSatelliteChannel* self, guint value);
gint dvb_satellite_channel_get_DiseqcSource (DVBSatelliteChannel* self);
void dvb_satellite_channel_set_DiseqcSource (DVBSatelliteChannel* self, gint value);
GType dvb_satellite_channel_get_type (void);


G_END_DECLS

#endif
